> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dwe.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the wired devices



## OpenAPI

````yaml https://github.com/DeepwaterExploration/dweOS/releases/latest/download/openapi.json get /api/network/wired/devices
openapi: 3.1.0
info:
  title: DWE OS API
  description: API for DWE OS
  version: 0.1.0
servers: []
security: []
paths:
  /api/network/wired/devices:
    get:
      tags:
        - network
      summary: Get the wired devices
      operationId: get_wired_devices_api_network_wired_devices_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/WiredDeviceModel'
                type: array
                title: Response Get Wired Devices Api Network Wired Devices Get
components:
  schemas:
    WiredDeviceModel:
      properties:
        interface:
          type: string
          title: Interface
        state:
          $ref: '#/components/schemas/DeviceState'
        is_active:
          type: boolean
          title: Is Active
        active_profile_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Active Profile Id
        active_ip_configuration:
          anyOf:
            - $ref: '#/components/schemas/IPV4Configuration'
            - type: 'null'
        available_profiles:
          items:
            type: string
          type: array
          title: Available Profiles
      type: object
      required:
        - interface
        - state
        - is_active
        - available_profiles
      title: WiredDeviceModel
    DeviceState:
      type: integer
      enum:
        - 0
        - 10
        - 20
        - 30
        - 40
        - 50
        - 60
        - 70
        - 80
        - 90
        - 100
        - 110
        - 120
      title: DeviceState
      description: |-
        Device State

        * UNKNOWN
        * UNMANAGED
        * UNAVAILABLE
        * DISCONNECTED
        * PREPARE
        * CONFIG
        * NEED_AUTH
        * IP_CONFIG
        * IP_CHECK
        * SECONDARIES
        * ACTIVATED
        * DEACTIVATING
        * FAILED
    IPV4Configuration:
      properties:
        ip_addresses:
          anyOf:
            - items:
                $ref: '#/components/schemas/IPV4Address'
              type: array
            - type: 'null'
          title: Ip Addresses
        gateway:
          anyOf:
            - type: string
            - type: 'null'
          title: Gateway
        method:
          $ref: '#/components/schemas/IPV4Method'
          default: unknown
        dns:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Dns
        never_default:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Never Default
      type: object
      title: IPV4Configuration
    IPV4Address:
      properties:
        address:
          type: string
          title: Address
        prefix:
          type: integer
          title: Prefix
      type: object
      required:
        - address
        - prefix
      title: IPV4Address
    IPV4Method:
      type: string
      enum:
        - manual
        - auto
        - unknown
      title: IPV4Method

````